# Uses of Interface
java.lang.classfile.constantpool.PackageEntry

Packages that use PackageEntry
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of PackageEntry in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return PackageEntry
Modifier and Type
Method
Description
`PackageEntry`
ModuleExportInfo.`exportedPackage()`
Returns the exported package.
`PackageEntry`
ModuleOpenInfo.`openedPackage()`
Returns the package being opened.
Methods in java.lang.classfile.attribute that return types with arguments of type PackageEntry
Modifier and Type
Method
Description
`List<PackageEntry>`
ModulePackagesAttribute.`packages()`
Returns the packages used by the module descriptor.
Methods in java.lang.classfile.attribute with parameters of type PackageEntry
Modifier and Type
Method
Description
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageEntry exports, int exportFlags, ModuleEntry... exportsTo)`
Returns a module export description.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageEntry exports, int exportFlags, List<ModuleEntry> exportsTo)`
Returns a module export description.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageEntry exports, Collection<AccessFlag> exportFlags, ModuleEntry... exportsTo)`
Returns a module export description.
`static ModuleExportInfo`
ModuleExportInfo.`of(PackageEntry exports, Collection<AccessFlag> exportFlags, List<ModuleEntry> exportsTo)`
Returns a module export description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageEntry opens, int opensFlags, ModuleEntry... opensTo)`
Returns a module open description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageEntry opens, int opensFlags, List<ModuleEntry> opensTo)`
Returns a module open description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageEntry opens, Collection<AccessFlag> opensFlags, ModuleEntry... opensTo)`
Returns a module open description.
`static ModuleOpenInfo`
ModuleOpenInfo.`of(PackageEntry opens, Collection<AccessFlag> opensFlags, List<ModuleEntry> opensTo)`
Returns a module open description.
`static ModulePackagesAttribute`
ModulePackagesAttribute.`of(PackageEntry... packages)`
Returns a `ModulePackages` attribute.
Method parameters in java.lang.classfile.attribute with type arguments of type PackageEntry
Modifier and Type
Method
Description
`static ModulePackagesAttribute`
ModulePackagesAttribute.`of(List<PackageEntry> packages)`
Returns a `ModulePackages` attribute.

## Uses of PackageEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return PackageEntry
Modifier and Type
Method
Description
`PackageEntry`
ConstantPoolBuilder.`packageEntry(Utf8Entry nameEntry)`
Returns a `PackageEntry` referring to the provided `Utf8Entry`.
`default PackageEntry`
ConstantPoolBuilder.`packageEntry(PackageDesc packageDesc)`
Returns a `PackageEntry` describing the same package as the provided `PackageDesc`.